<?php
	//引入语言包
	$a_langpackage=new albumlp;
	
	//引入模块公共权限过程文件
	require("foundation/fpages_bar.php");
	
	//必须登录才能浏览该页面
	require("foundation/auser_mustlogin.php");

	//变量取得
	$album_id=short_check(get_argg('album_id'));
	$user_id=get_sess_userid();
	$pals_id_str=get_sess_mypals();

	//数据表定义区
	$t_album = $tablePreStr."album";

	$dbo=new dbex;
	//读写分离定义方法
	dbtarget('r',$dbServs);

	$page_num=trim(get_argg('page')); 
	$page_total='';
	$album_rs=array();
	if($pals_id_str){
		$sql="select * from $t_album where user_id in ($pals_id_str) and album_secret<='1' and album_pass=1 order by add_time desc";
		$dbo->setPages($set_page_data_num,$page_num);//设置分页
		$album_rs = $dbo->getRs($sql);
		$page_total=$dbo->totalPage;//分页总数
	}
	
	$isNull=0;//不为空则设置为零
	$a_friend="";
	$t_fri="content_none";
	if(empty($album_rs)){
		$isNull=1;//判断结果集是否为空
		$a_friend="content_none";
		$t_fri="";		 	
	}
?>